pub mod apps;
mod cli;
pub mod contrib;
pub mod db;
pub mod http;
pub mod settings;
pub mod urls;

pub use cli::main;
pub use settings::Settings;
pub use urls::UrlMap;

#[macro_export]
macro_rules! main {
    ($urls:expr, $settings:expr) => {
        fn main() {
            tosin::main($urls, $settings);
        }
    };
}
